#!/bin/bash

rm all.svg perf.data out.perf out.folded

zig build -Doptimize=ReleaseSafe
# zig build -Doptimize=Debug

perf record -a -g -- ./zig-out/bin/zig

perf script > out.perf

stackcollapse-perf.pl out.perf > out.folded

flamegraph.pl out.folded > all.svg

firefox all.svg
